Subject: Bug#3779: exmh configuration needs work

From: Brian Mays <[email-masked]>
Date: Sun, 14 Jul 1996 17:05:10 -0400

Here are lines 17-40 of the exmh TCL script:

----------------------------------------------------------------------
# The following lines are patched by exmh.install
#CONFIGURATION
set wish /usr/bin/wish
set exmh(version) {version 1.6.7 5/3/96}
set exmh(maintainer) [email-masked]
set mh_path /usr/bin
            ^^^^^^^^ (incorrect)
set exmh(slocal) /usr/lib/mh/slocal
set mime(dir) /usr/bin
set mailcap_default /etc/mailcap
set exmh(expect) /usr/bin/expect
set faces(dir) {}
set faces(set,user) {}
set faces(set,unknown) {}
set faces(defaultDomain) {}
set faces(suffix) {}
set pgp(path) /usr/bin
set glimpse(path) /usr/bin
set sound(cmd) {}
set exmh(library) /usr/lib/exmh
set install(dir,bin) /usr/bin
set install(dir,man) /usr/man/man1
set install(dir,lib) /usr/lib/exmh

#END CONFIGURATION
----------------------------------------------------------------------

Note that mh_path is set to /usr/bin.  However the mh package installs
its commands in the /usr/bin/mh directory.  This means that, unless
"/usr/bin/mh" is included in the PATH environment variable, exmh does
not work.  Thus, mh_path should be set to /usr/bin/mh.

On my system, I like to use the faces and sounds features of exmh.
However, this means that I must change the exmh script itself to set
the appropriate variables.  Since the exmh script is not registered as
a configuration file, my changes are overwritten when I install a new
version of exmh.  To enable system administrators more freedom in
configuring exmh, here is what I propose:

Remove the configuration stuff from the /usr/bin/exmh file and place
it in a configuration file (called something like /etc/exmh.conf).
The contents of this file would be:

- /etc/exmh.conf -----------------------------------------------------
# Appropriate comments should be placed here describing what this file
# is for and how to change it.

set wish /usr/bin/wish
set exmh(version) {version 1.6.7 5/3/96}
set exmh(maintainer) [email-masked]
set mh_path /usr/bin/mh
set exmh(slocal) /usr/lib/mh/slocal
set mime(dir) /usr/bin
set mailcap_default /etc/mailcap
set exmh(expect) /usr/bin/expect
set faces(dir) {}
set faces(set,user) {}
set faces(set,unknown) {}
set faces(defaultDomain) {}
set faces(suffix) {}
set pgp(path) /usr/bin
set glimpse(path) /usr/bin
set sound(cmd) {}
set exmh(library) /usr/lib/exmh
set install(dir,bin) /usr/bin
set install(dir,man) /usr/man/man1
set install(dir,lib) /usr/lib/exmh
----------------------------------------------------------------------

Since this is a configuration file, its name should be included in the
debian.conffiles file.  The exmh script can source this file to get
the configuration data.  It should be changed as follows:

----------------------------------------------------------------------
diff -cNr exmh.orig exmh
*** exmh.orig	Fri Jul  5 10:51:24 1996
--- exmh	Sun Jul 14 13:34:12 1996
***************
*** 14,41 ****
  # make no warranty about the software, its performance or its conformity to
  # any specification.
  
- # The following lines are patched by exmh.install
  #CONFIGURATION
! set wish /usr/bin/wish
! set exmh(version) {version 1.6.7 5/3/96}
! set exmh(maintainer) [email-masked]
! set mh_path /usr/bin
! set exmh(slocal) /usr/lib/mh/slocal
! set mime(dir) /usr/bin
! set mailcap_default /etc/mailcap
! set exmh(expect) /usr/bin/expect
! set faces(dir) {}
! set faces(set,user) {}
! set faces(set,unknown) {}
! set faces(defaultDomain) {}
! set faces(suffix) {}
! set pgp(path) /usr/bin
! set glimpse(path) /usr/bin
! set sound(cmd) {}
! set exmh(library) /usr/lib/exmh
! set install(dir,bin) /usr/bin
! set install(dir,man) /usr/man/man1
! set install(dir,lib) /usr/lib/exmh
  
  #END CONFIGURATION
  
--- 14,21 ----
  # make no warranty about the software, its performance or its conformity to
  # any specification.
  
  #CONFIGURATION
! source /etc/exmh.conf
  
  #END CONFIGURATION
  
----------------------------------------------------------------------

This should allow maximum flexibility for configuring exmh and provide
the ease of upgrading that is a characteristic feature of Debian.

--
Brian